###############################################################################

module SC2Cli

###############################################################################

  module Subcommands

###############################################################################

    module LadderShared

###############################################################################

      class LadderDetailsTeamMembers

###############################################################################

        @members

###############################################################################

        def initialize(json:)
          @members = Array.new

          json.each do |member|
            member = LadderDetailsTeamMember.new(json: member)
            add(member: member)
          end
        end

###############################################################################

        def add(member:)
          @members << member if member.kind_of?(LadderDetailsTeamMember)
          @members.sort_by!{ |member| member.name }
        end

###############################################################################

        def count
          return @members.length
        end

###############################################################################

        def has_player(player:)
          result = false

          @members.each do |member|
            result = true if member.id == player
          end

          return result
        end

###############################################################################

        def to_s
          result = String.new

          @members.each do |member|
            result += member.to_s
          end

          return result
        end

###############################################################################

      end

###############################################################################

    end

###############################################################################

  end

###############################################################################

end

###############################################################################
